package com.red.circle.wallet.infra.database.cache.key;

import com.red.circle.component.redis.RedisKeys;

/**
 * 金币钱包.
 *
 * @author pengliang on 2023/7/2
 */
public enum WalletGoldKey implements RedisKeys {

  /**
   * 余额.
   */
  BALANCE,

  /**
   * 错误日志.
   */
  ERROR_LOG,

  /**
   * 事件.
   */
  EVENT,

  /**
   * 统计消费.
   */
  COUNT_CONSUME,

  /**
   * 第一页流水.
   */
  FIRST_WATER;

  @Override
  public String businessPrefix() {
    return "WG";
  }

  @Override
  public String businessKey() {
    return this.name();
  }

}
